EDIT - task #9650
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Update all titleCaches after upgrade of cache strategies and formatters
06/03/2021 02:46 PM - Andreas Muller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 70%
Category: data Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Before the databases need to be checked for data dirty data which could be overwritten by cache update (e.g. references in
palmweb).

Useful sql are:
Find potential issues in AgentBase, Reference and TaxonBase

SELECT ab.titleCache, ab.nomenclaturaltitle, ab.*

FROM AgentBase ab

WHERE ab.DTYPE = 'Person' AND ab.protectedtitlecache = 0 AND (ab.familyName IS NULL OR LTRIM (ab.fa
milyName = '')) AND ab.titleCache <> ab.nomenclaturaltitle;

SELECT ab.titleCache, ab.nomenclaturaltitle, ab.*

FROM AgentBase ab

WHERE ab.DTYPE = 'Team' AND (ab.protectedtitlecache =0 OR ab.protectednomenclaturaltitlecache =0 )
AND ab.id NOT IN (SELECT MN.team_id FROM AgentBase_AgentBase MN )

SELECT r.refType, r.titleCache, r.uuid, r.*

FROM Reference r

WHERE r.protectedtitlecache = 0 AND (r.title IS NULL OR LTRIM(r.title = '')) AND (r.abbrevTitle IS
NULL OR LTRIM(r.abbrevTitle = ""))

AND r.refType <> 'ART' AND r.refType <> 'BS'

AND ! (r.refType = 'GEN' AND r.inreference_id IS NOT NULL)

ORDER BY r.refType;

SELECT r.refType, inRef.refType, r.titleCache, r.uuid, r.*
FROM Reference r LEFT JOIN Reference inRef ON r.inreference_id = inRef.id

WHERE r.protectedtitlecache = 0 AND (inRef.title IS NULL OR LTRIM(inRef.title = '')) AND (inRef.ab
brevTitle IS NULL OR LTRIM(inRef.abbrevTitle = "'"))
AND (r.refType = 'ART' OR r.refType = 'BS' OR (r.refType = 'GEN' AND r.inreference_id IS NOT NULL)

)
ORDER BY r.refType

;

SELECT tn.id, tn.uuid, tn.titleCache, tn.nameCache, tn.genusOrUninomial, tn.*

FROM TaxonName tn

WHERE tn.protectedtitlecache = 0 AND protectednamecache = 0 AND (tn.genusoruninomial IS NULL OR LT
RIM(tn.genusoruninomial = '"'))

Test which data has been updated (set @rev to latest revision before update) :

SELECT *

FROM AuditEvent ev

ORDER BY ev.revisionnumber DESC;

SET Qrev = 4427;

SELECT ab.id, ab.REV, ab.REVTYPE, ab.titleCache, ab.nomenclaturaltitle, ab.*
FROM AgentBase_AUD ab
WHERE ab.id IN (
SELECT aa.id

FROM AgentBase_AUD aa
WHERE aa.REV > (@rev

)

ORDER BY ab.id, ab.REV;

SELECT r.id, r.REV, r.REVTYPE, r.titleCache, r.abbrevTitleCache, r.*
FROM Reference_AUD r

WHERE r.id IN (

SELECT ab.id

FROM Reference_AUD ab

WHERE ab.REV > (@rev)

ORDER BY r.id, r.REV ;

SELECT r.id, r.REV, r.REVTYPE, r.titleCache, r.*
FROM TaxonBase_AUD r

WHERE r.id IN (

SELECT ab.id

FROM TaxonBase_AUD ab

WHERE ab.REV > (@rev)

ORDER BY r.id, r.REV ;

SELECT r.id, r.REV, r.REVTYPE, r.titleCache, r.fullTitleCache, osb.citation_id refId, r.*, osb.id,
osb.*

FROM TaxonName_AUD r LEFT JOIN OriginalSourceBase osb ON osb.sourcedName_id = r.id

WHERE r.id IN (

SELECT ab.id

FROM TaxonName_AUD ab LEFT JOIN OriginalSourceBase osb ON osb.sourcedName_id = ab.id

WHERE ab.REV > (drev)

ORDER BY r.id, r.REV ;

SELECT r.id, r.REV, r.REVTYPE, r.titleCache, r.*
FROM SpecimenOrObservationBase_AUD r

WHERE r.id IN (

SELECT ab.id

FROM SpecimenOrObservationBase_AUD ab

WHERE ab.REV > (drev)

ORDER BY r.id, r.REV ;

Also sometimes helpful:

SELECT *
FROM OriginalSourceBase osb
WHERE osb.sourcedName_id = 543 OR osb.citation_id = 55568

’

SELECT r.inreference_id, r.*
FROM Reference_AUD r

WHERE r.id IN (368)

ORDER BY r.id, r.REV

r

SELECT *

FROM TaxonName tn

WHERE tn.problemstarts > 0 AND tn.parsingproblem NOT IN (2,4)
ORDER BY tn.id ;

SELECT *
FROM TaxonName_AUD n
WHERE n.id IN ( 9865)

Related issues:
Related to EDIT - task #9364: Cleanup authors with multiple & and protected n... Closed

Related to EDIT - task #9658: Cleanup authors with protected names and authors New
Related to EDIT - bug #9649: Specimens sometimes have empty titteCache instea... Closed

Associated revisions

Revision 4a6a3ad3 - 11/11/2021 05:56 PM - Andreas Miiller
ref #9650 , ref #9849 update some dataportal tests to updated caches

Revision bfcf9fd5 - 02/10/2023 10:12 AM - Andreas Miiller
ref #9650 fix CacheUpdater

History

#1 - 06/03/2021 02:50 PM - Andreas Miiller

- Description updated

#2 - 06/08/2021 05:44 PM - Andreas Miller

- Related to task #9364: Cleanup authors with multiple & and protected names and teams added

#3 - 06/08/2021 05:48 PM - Andreas Miiller

- Related to task #9658: Cleanup authors with protected names and authors added

#4 - 06/08/2021 08:45 PM - Andreas Miiller
- % Done changed from 0 to 20

Updated all databases except for col, euromed, euromed_caucasus and vibrant_index names/taxa/specimen

#5 - 06/09/2021 05:45 PM - Andreas Miller

- Description updated

#6 - 06/11/2021 10:05 AM - Andreas Miiller
- Description updated

- % Done changed from 20 to 0

#7 - 06/11/2021 10:11 AM - Andreas Mdiller

- Description updated

#8 - 06/11/2021 12:48 PM - Andreas Miiller

- Description updated

#9 - 06/11/2021 01:33 PM - Andreas Miiller
- Related to bug #9649: Specimens sometimes have empty titleCache instead of class<UUID> added

#10 - 06/16/2021 05:33 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 30

#11 - 07/07/2021 03:26 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#12 - 11/12/2021 12:06 PM - Andreas Miiller

Updated all caches for databases on integration server
#14 - 12/08/2021 06:09 PM - Andreas Miiller

last full cache updates: (e.g. for country labels)
algaterra_old: 2021-12-08

algaterra_new: 2021-12-08
asteraceae: 2021-12-08
bromeliaceae: 2021-12-08
campanulaceae: 2021-12-08
amaranthaceae: 2021-12-08
nepenthaceae: 2021-12-08
caryophyllales: 2021-12-08
caryophyllales_spp: 2021-12-08
casearia: 2021-12-09
cichorieae: 2021-12-09
corvidae: 2021-12-09

cyprus: 2021-12-09

diptera: 2021-12-09
edaphobase:

euromed: 2023-01-27
euromed_caucasus:
flora-cuba: 2021-12-08
flora_greece: 2021-12-09
flora_guianas: 2021-12-09
flora_malesiana:
flora_malesiana_clean: 2021-12-09
flora_malesiana_prospective: 2021-12-09
flora_uzbekistan: 2021-12-09
flore_gabon: 2021-12-09
globis: 2021-12-09
greece_bupleurum: 2021-12-09
lichenes: 2021-12-09
myristicaceae: 2021-12-09
oxalis: 2021-12-09

palmae: 2021-12-09
phycobank: 2021-12-09
rl_animalia: 2021-12-09
rl_animalia_final: 2021-12-09
rl_armeria_demo: 2021-12-09
rl_german_sl: 2021-12-09
rl_mammalia: 2021-12-09
rl_moose: 2021-12-09
rl_plantae: 2021-12-09
rl_standardliste: 2021-12-09
rubiaceae_mexico: 2021-12-09
salvador: 2021-12-09

vibrant:

#15 - 01/30/2023 03:46 PM - Andreas Miiller
- % Done changed from 30 to 70
